--require 'core/config'
--require 'core/common/base'
--require 'core/buildings/Building'
local table = table or require "table"
local math = require("math")
local BUILDING_NO_SATIETY = fv.core.BUILDING_NO_SATIETY

function fv.core.findAndTransferHouseFood(house, w, mustSatiety, futureSatiety, planeTasks)
	local foodPriority = getFoodPriority(w)
	local foodTypeCount = table.getn(foodPriority)
	
	for i = 1, foodTypeCount, 1 do
		local theFood = foodPriority[i]	
		local foodBuilding = findBarnOrMarketWithRes(w, house.pos, theFood, fv.core.config.findResourcesRadius)

		if foodBuilding ~= nil then		
			if fv.core.game.gameInfo:isResourceBlocked(theFood) == false then 
				local resCount = foodBuilding:getResourceFree(theFood)
				if resCount > 0 then
				
					getCount = math.floor(w.weightMax/getResourceWeight(theFood))
					if getCount > resCount then
						getCount = resCount
					end
					if getCount >= 6 or futureSatiety == 0 then
						if planeTasks then
							w:addTaskSetHint("@hint_bring_food@")
							getResourceOptimized(w, foodBuilding, theFood, getCount)
							putResource(w, house, theFood, getCount)
							w:addTaskPlayAnimation("stay")
							w:addTaskResetHint()
							house:hideIcon(BUILDING_NO_SATIETY)
						end
						return true	
					end
				end		
			end					
		end	
	end
	if futureSatiety == 0 then
		house:setVisibleIcon(BUILDING_NO_SATIETY, true)	
	end
	return false
end	